Subject: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Jun 2025 12:14:43 +0300

> From: Przemysław Kryger <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Mon, 16 Jun 2025 09:46:05 +0100
> 
> 
> >> I don't understand why: installing GNU Sed should be easy, and you
> >> don't lose anything by doing that.
> 
> > That should be relatively straight forward.  However, there's one
> > slight complication.  User needs to set `Man-sed-command before'
> > before man has been loaded.  Otherwise they need to call
> > `(Man-init-defvars)' in order to make the setting to be effective.  At
> > least this is how I understood it.
> 
> Please disregard what I wrote about calling `(Man-init-defvars)'.  It
> was a leftover in my config from when it used to change the value of
> `Man-filter-list'.  Since then I have switched to applying the patch
> directly Emacs source during build.  Changing the value of
> `Man-sed-command' doesn't require this.

I actually don't understand why there's a need to change
Man-sed-command.  Can't you arrange for GNU Sed to be on PATH before
the system-provided one?